﻿using System.Threading;
using Luski.net.Enums;
using System.Threading.Tasks;
using Luski.net.JsonTypes;

namespace Luski.net.Interfaces;

/// <summary>
/// Represents the curent user
/// </summary>
public interface IUser
{
    /// <summary>
    /// The current Id of the user
    /// </summary>
    long Id { get; }
    /// <summary>
    /// The cerrent username of the user
    /// </summary>
    string DisplayName { get; }
    /// <summary>
    /// The current status of the user
    /// </summary>
    UserStatus Status { get; }
    /// <summary>
    /// will returen the picture type of the user
    /// </summary>
    PictureType PictureType { get; }
    /// <summary>
    /// Gets the current avatar of the user
    /// </summary>
    Task<byte[]> GetAvatar(CancellationToken CancellationToken);
    /// <summary>
    /// Gets the current user key
    /// </summary>
    /// <returns></returns>
    Task<long> GetUserKey(CancellationToken CancellationToken);

}
