﻿using Luski.net.Enums;
using System.ComponentModel;
using System.Net;
using System.Text.Json.Serialization;

namespace Luski.net.JsonTypes.BaseTypes;

[Browsable(false)]
[EditorBrowsable(EditorBrowsableState.Never)]
public class IncomingHTTP
{
    [JsonPropertyName("error")]
    [JsonInclude]
    public ErrorCode? Error { get; internal set; } = default!;
#pragma warning disable SYSLIB1037 // Deserialization of init-only properties is currently not supported in source generation mode.
    [JsonIgnore]
    public HttpStatusCode StatusCode { get; init; }
#pragma warning restore SYSLIB1037 // Deserialization of init-only properties is currently not supported in source generation mode.
    [JsonPropertyName("error_message")]
    [JsonInclude]
    public string? ErrorMessage { get; internal set; } = default!;
}

[JsonSerializable(typeof(IncomingHTTP))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
internal partial class IncomingHTTPContext : JsonSerializerContext
{

}
