﻿using Luski.net.JsonTypes.BaseTypes;
using System.Text.Json.Serialization;

namespace Luski.net.JsonTypes.HTTP;

internal class FriendRequest : HTTPRequest
{
    [JsonPropertyName("code")]
    [JsonInclude]
    public string code { get; set; } = default!;
    [JsonPropertyName("id")]
    [JsonInclude]
    public long Id { get; set; } = default!;
}

[JsonSerializable(typeof(FriendRequest))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
internal partial class FriendRequestContext : JsonSerializerContext
{

}
