﻿using Luski.net.JsonTypes.BaseTypes;
using System.Text.Json.Serialization;

namespace Luski.net.JsonTypes.HTTP;

internal class Message : HTTPRequest
{
    [JsonPropertyName("channel_id")]
    [JsonInclude]
    public long Channel { get; set; } = default!;
    [JsonPropertyName("content")]
    [JsonInclude]
    public string Context { get; set; } = default!;
    [JsonPropertyName("files")]
    [JsonInclude]
    public long[] Files { get; set; } = default!;
}

[JsonSerializable(typeof(Message))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
internal partial class MessageContext : JsonSerializerContext
{

}
