﻿using Luski.net.JsonTypes.BaseTypes;
using System.Text.Json.Serialization;

namespace Luski.net.Structures.Main;

internal class SocketBulkMessage : IncomingHTTP
{
    [JsonPropertyName("messages")]
    [JsonInclude]
    public MainSocketMessage[]? Messages { get; set; } = default!;
}

[JsonSerializable(typeof(SocketBulkMessage))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false,
    DefaultIgnoreCondition = JsonIgnoreCondition.Never)]
internal partial class SocketBulkMessageContext : JsonSerializerContext
{

}
